{ config, pkgs, lib, ... }:
with lib;
{
  options.components.gui.vscode.enable = mkOption {
    type = lib.types.bool;
    default = config.components.gui.enable;
  };

  config = mkIf (config.components.gui.vscode.enable) {
    environment.systemPackages = with pkgs; [
      (vscode-with-extensions.override {
        vscodeExtensions = with vscode-extensions; [
          bbenoist.nix
          ms-python.python
          ms-azuretools.vscode-docker
          ms-vscode-remote.remote-ssh
          vscodevim.vim
          rust-lang.rust-analyzer
          #github.copilot-labs
          github.copilot
          #github.copilot-chat
        ];
      })
    ];
  };
}
