{ config, pkgs, lib, ... }:
with lib;
{
  config = mkMerge [
    {
      home.packages = [ pkgs.ripgrep ];
    }
    (mkIf config.gui.enable {
      programs.doom-emacs = {
        enable = lib.mkDefault true;
        doomPrivateDir = ./doom.d;
        extraConfig = ''
          ;; "monospace" means use the system default. However, the default is usually two
          ;; points larger than I'd like, so I specify size 12 here.
          (setq doom-font
            (font-spec :family "Jetbrains Mono" :size ${toString 12} :weight 'light))
          ;;(setq doom-font
          ;; (font-spec :family "Terminus" :size ${toString 12} :weight 'light))
        '';
        #emacsPackagesOverlay = self: super: {
        #  # fixes https://github.com/vlaci/nix-doom-emacs/issues/394
        #  gitignore-mode = pkgs.emacsPackages.git-modes;
        #  gitconfig-mode = pkgs.emacsPackages.git-modes;
        #};
      };
    })
    (mkIf (!config.gui.enable) {
      programs.doom-emacs = {
        enable = lib.mkDefault true;
        doomPrivateDir = ./doom.d;
        package = pkgs.emacs-nox;
      };
    })
  ];
}
