{ pkgs, ... }:
{

  programs.gpg = {
    enable = true;
    settings = {
      auto-key-locate = "local";
      keyid-format = "long";
      utf8-strings = "";
      verbose = "";
      with-fingerprint = "";
      keyserver = "keyserver.ubuntu.com";
      personal-digest-preferences = "SHA512";
      cert-digest-algo = "SHA512";
      default-preference-list =
        "SHA512 SHA384 SHA256 SHA224 AES256 AES192 AES CAST5 ZLIB BZIP2 ZIP Uncompressed";
    };
  };

  services.gpg-agent = {
    enable = true;
    enableBashIntegration = true;
    enableExtraSocket = true;
    enableSshSupport = true;
    enableZshIntegration = true;
    # sshKeys = [];
  };
}
