{ config, ... }:
{
  sops.secrets.rsync_private_key = { };

  rbackup.plans = {
    nextcloud = {
      sshKeyPath = config.sops.secrets.rsync_private_key.path;
      src = "root@robi:/var/lib/nextcloud/";
      dst = "/mirror/nextcloud";
    };
    taskwarrior = {
      sshKeyPath = config.sops.secrets.rsync_private_key.path;
      src = "root@robi:/var/lib/taskserver/";
      dst = "/mirror/taskwarrior";
    };
    gitea = {
      sshKeyPath = config.sops.secrets.rsync_private_key.path;
      src = "root@robi:/var/lib/gitea/";
      dst = "/mirror/gitea";
    };
    bitwarden = {
      sshKeyPath = config.sops.secrets.rsync_private_key.path;
      src = "root@robi:/var/lib/bitwarden_rs/";
      dst = "/mirror/bitwarden_rs";
    };
    #torrent = {
    #  sshKeyPath = config.sops.secrets.rsync_private_key.path;
    #  src = "root@robi:/media/torrent/downloads/";
    #  dst = "/media/torrent";
    #  startAt = "00/5:00"; # every 5 hours
    #};

    radarr = {
      sshKeyPath = config.sops.secrets.rsync_private_key.path;
      src = "root@robi:/media/arr/radarr";
      dst = "/media/arr/radarr";
      delete = false;
    };
    sonarr = {
      sshKeyPath = config.sops.secrets.rsync_private_key.path;
      src = "root@robi:/media/arr/sonarr";
      dst = "/media/arr/sonarr";
      delete = false;
    };


  };


}
