{ config, ... }:
{
  sops.secrets.tinc_retiolum_ed25519_key = { };
  sops.secrets.tinc_retiolum_rsa_key = { };

  networking.retiolum.port = 720;
  networking.retiolum.nodename = "sol";

  services.tinc.networks.retiolum = {
    ed25519PrivateKeyFile = config.sops.secrets.tinc_retiolum_ed25519_key.path;
    rsaPrivateKeyFile = config.sops.secrets.tinc_retiolum_rsa_key.path;
  };

  fileSystems."/retiolum/sicily" = {
    device = "//sicily.r/tonne";
    fsType = "cifs";
    options = [
      "guest"
      "nofail"
      "noauto"
      "ro"
      "rsize=16777216"
      "cache=loose"
      "x-systemd.after=network.target"
    ];
  };
}
