
remote_state {
  backend = "s3"
  generate = {
    path      = "__backend.tf"
    if_exists = "overwrite"
  }
  config = {
    bucket  = "terraform-state-terranix-website"
    key     = "${path_relative_to_include()}/terraform.tfstate"
    region  = "home"
    encrypt = false

    endpoint     = "http://s3.chungus.private"
    iam_endpoint = "http://s3.chungus.private"
    sts_endpoint = "http://s3.chunugs.private"

    force_path_style                   = true
    enable_lock_table_ssencryption     = false
    skip_s3_checksum                   = true
    skip_bucket_public_access_blocking = true
    skip_bucket_enforced_tls           = true
    skip_credentials_validation        = true
    skip_bucket_root_access            = true # use only if the AWS account root user should not have access to the remote state bucket for some reason
    skip_bucket_versioning             = true # use only if the object store does not support versioning
    skip_bucket_ssencryption           = true # use only if non-encrypted Terraform State is required and/or the object store does not support server-side encryption
    skip_metadata_api_check            = true
    skip_region_validation             = true
    skip_requesting_account_id         = true
  }
}
